---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 281203f2-aeb2-573c-8207-5bdad109d03f
      tier: AATSR_CMP_MONTH
      value: 0.060047756880521774
    brdf:
      alpha_1:
        band_1: 0.26285904026843704
        band_11: 0.19514002121163285
        band_12: 0.01947580063909167
        band_2: 0.26285904026843704
        band_3: 0.5163616039228404
        band_4: 0.1398670144448725
        band_5: 0.1398670144448725
        band_6: 0.1398670144448725
        band_7: 0.6201087513590776
        band_8: 0.6201087513590776
        band_8a: 0.6201087513590776
      alpha_2:
        band_1: 0.1461283937552047
        band_11: 0.15921105638745336
        band_12: 0.18301104057138193
        band_2: 0.1461283937552047
        band_3: 0.11529439661477493
        band_4: 0.171110777488538
        band_5: 0.171110777488538
        band_6: 0.171110777488538
        band_7: 0.062417370599151194
        band_8: 0.062417370599151194
        band_8a: 0.062417370599151194
      id:
      - 09247d5e-f162-5fc6-8eaf-4946b5e75927
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c3953cf0-93a0-5217-9c2e-babc16fef3be
      tier: DEFINITIVE
      value: 0.26
    water_vapour:
      id:
      - ed375bff-376f-50de-8c10-5914f6ac740a
      tier: DEFINITIVE
      value: 2.4000000000000004
  id: de06aedf-ac9d-4275-9fd7-81b3b6aeed38
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1901.1181763615125
      BAND-11: 231.44234293767036
      BAND-12: 79.15738348255734
      BAND-2: 1943.2318568576736
      BAND-3: 1819.5542150643823
      BAND-4: 1485.666655364129
      BAND-5: 1371.4613764872684
      BAND-6: 1251.4626720359274
      BAND-7: 1145.6431366066474
      BAND-8: 1014.6620233453001
      BAND-8A: 925.2918863320397
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2018-05-27 01:29:34.557000Z
    atime: 2022-09-22 06:51:48Z
    ctime: 2018-05-27 07:52:40Z
    mtime: 2018-05-27 07:52:33Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2018/2018-05/15S130E-20S135E/S2A_MSIL1C_20180527T012721_N0206_R131_T52KGE_20180527T035946.zip
  system_information:
    hostname: gadi-cpu-clx-1597.gadi.nci.org.au
    runtime_id: 07827968-3a43-11ed-a15d-0000018bfe80
    time_processed: 2022-09-22 06:51:48.141826Z
    uname: 'Linux gadi-cpu-clx-1597.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 76.0
    green: 546.0
    red: 20.0
    teal: 793.0
    yellow: 15.0
  error_message: no errors
  final_qa_count: 1304
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20180527T035946_A015286_T52KGE_N02.06
  ref_date: '2014-04-15T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/105/072/LC81050722014105LGN00_B6.TIF
  residual:
    abs:
      x: 0.48
      xy: 0.65
      y: 0.44
    abs_iterative_mean:
      x: 0.38
      xy: 0.52
      y: 0.36
    cep90: 0.81
    iterative_mean:
      x: 0.37
      xy: 0.5
      y: 0.34
    iterative_stddev:
      x: 0.2
      xy: 0.3
      y: 0.23
    mean:
      x: 0.37
      xy: 0.5
      y: 0.34
    stddev:
      x: 0.76
      xy: 0.95
      y: 0.58
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 99.99984737940486
    cloud: 0.0
    cloud_shadow: 0.0
    snow: 7.962813660206834e-05
    water: 7.299245855189598e-05
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
